package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.rs.api.RSAABB;

@ObfuscatedName("ku")
public class AABB implements RSAABB {
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = 517586271
   )
   int xMid;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      intValue = 1569437235
   )
   int yMid;
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = -1260146143
   )
   int zMid;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = 1759108515
   )
   int xMidOffset;
   @ObfuscatedName("ab")
   @ObfuscatedGetter(
      intValue = 1093118037
   )
   int yMidOffset;
   @ObfuscatedName("au")
   @ObfuscatedGetter(
      intValue = -1310847177
   )
   int zMidOffset;

   AABB(int var1, int var2, int var3, int var4, int var5, int var6) {
      this.xMid = var1;
      this.yMid = var2;
      this.zMid = var3;
      this.xMidOffset = var4;
      this.yMidOffset = var5;
      this.zMidOffset = var6;
   }

   public int getCenterX() {
      return this.xMid;
   }

   public int getCenterY() {
      return this.yMid;
   }

   public int getCenterZ() {
      return this.zMid;
   }

   public int getExtremeX() {
      return this.xMidOffset;
   }

   public int getExtremeY() {
      return this.yMidOffset;
   }

   public int getExtremeZ() {
      return this.zMidOffset;
   }
}
